diff --git a/src/include/utils/catcache.h b/src/include/utils/catcache.h
index 253c7b53ed..d718d82d80 100644
--- a/src/include/utils/catcache.h
+++ b/src/include/utils/catcache.h
@@ -101,7 +101,12 @@ typedef struct catctup
 	 *
 	 * A negative cache entry is an assertion that there is no tuple matching
 	 * a particular key.  This is just as useful as a normal entry so far as
-	 * avoiding catalog searches is concerned.  Management of positive and
+	 * avoiding catalog searches is concerned.  In particular, caching negative
+	 * entries is critical for performance of some caches. For example, current
+	 * code will produce a negative RELNAMENSP entry for every un-qualified
+	 * table looking with the default search_path that puts the pg_catalog
+	 * schema first. This effect can be obverved by defining CATCACHE_STATS and
+	 * observing the log at backend exit.  Management of positive and
 	 * negative entries is identical.
 	 */
 	int			refcount;		/* number of active references */
